Ardour Pro for ubuntu karmic

20 replies [Last post]
macinnisrr
macinnisrr's picture
User offline. Last seen 5 days 17 hours ago. Offline
Joined: 2008-01-14
Posts:

download my build of Ardour from here:
dickmacinnis.com/ardourpro_2.8.3-5_i386.deb
you may also need this:
dickmacinnis.com/libslv2-9_0.6.2-0ubuntu1~ppa6_i386.deb

This build contains ardour 2.8.3 with LV2, FREESOUND, and FFTW_ANALYSIS support. Also contains the blue versions of the Ardour icons and my custom gtk themes which are more generic and less purple than the stock Ardour gtk themes.

For matching gtk themes for the rest of your system, download this package:
dickmacinnis.com/dream-theme_0.1-1_all.deb

Louigi Verona
User offline. Last seen 3 years 23 weeks ago. Offline
Joined: 2009-12-05
Posts:

Thanks! Downloaded. Does it matter in what order I install those?

macinnisrr
macinnisrr's picture
User offline. Last seen 5 days 17 hours ago. Offline
Joined: 2008-01-14
Posts:

just make sure to install libslv first, and ardour should work fine after that. Also, I must have made a mistake while packaging; this version of Ardour is actually 2.8.4

Ricardus
Ricardus's picture
User offline. Last seen 8 hours 57 min ago. Offline
Joined: 2009-05-31
Posts:

I think having these builds is important for the community. Please keep it up! :-)

Feli
User offline. Last seen 4 years 19 weeks ago. Offline
Joined: 2009-12-11
Posts:

hello, nice work, but, when i install it, all runs ok, but when i tryed to open it, nothing happend.
then i tryed to run from console, and i have this error:

WARNING: Your system has a limit for maximum amount of locked memory!
This might cause Ardour to run out of memory before your system runs
out of memory. You can view the memory limit with 'ulimit -l', and it
is normally controlled by /etc/security/limits.conf

/usr/lib/ardour2/ardour-2.8.3: error while loading shared libraries: libardour.so: cannot open shared object file: No such file or directory

some help from anybody?

thanks!!

PD: excuse my poor english..

macinnisrr
macinnisrr's picture
User offline. Last seen 5 days 17 hours ago. Offline
Joined: 2008-01-14
Posts:

Thanks for your kind words, ricardus and fell, but It turns out I didn't make a mistake in the build, I just uploaded the wrong package. Check out this link for the proper 2.8.4 build (which I've just tested on a stock karmic install, works fine.)

dickmacinnis.com/ardourpro_2.8.4-1_i386.deb

make sure NOT to install the package posted above, I don't think it even works at all...

Sorry about the mixup!

Feli
User offline. Last seen 4 years 19 weeks ago. Offline
Joined: 2009-12-11
Posts:

now runs ok!

thanksss!!!!

Louigi Verona
User offline. Last seen 3 years 23 weeks ago. Offline
Joined: 2009-12-05
Posts:

damn! I already installed and it doesn't work. How do I uninstall or should I install over the old version?

macinnisrr
macinnisrr's picture
User offline. Last seen 5 days 17 hours ago. Offline
Joined: 2008-01-14
Posts:

@Louigi_Verona: I haven't specifically tried installing over an old version, but it SHOULD work (it's just the same as upgrading from an apt source). Give it a shot, and if it doesn't work, It will if you "sudo apt-get purge ardourpro" before you install the new package. Please let me know if the first method (upgrade) doesn't work because I'm very new to packaging and would like to know about potential errors I've made.

@Feli: No problem! After compiling Ardour myself since 2.8.1 (it always takes a while before Ubuntu's "official" package comes out), I finally decided to learn how to do packaging when I came up with the modded UI, as I'll be releasing a custom distro in the near future, and thought many could benefit from the consistent look and feel I'm going for.

Louigi Verona
User offline. Last seen 3 years 23 weeks ago. Offline
Joined: 2009-12-05
Posts:

Hey, man! I just installed over the older without purging anything and it works fine!

Btw, can I later PM you to ask about packaging? Sometimes, when I successfully build software after a complex compilation process, I would like to share this, so that other people, at least using the same distro, would have no problems and would just install a deb easily.

calimerox
calimerox's picture
User offline. Last seen 7 hours 31 min ago. Offline
Joined: 2007-10-19
Posts:

oh one silly thing: how can i just use this ardour version without deinstalling all sound programs when i previously installedthe ubuntu-studio package? is this possible? or do i have to remove the ubuntustudio and try to configure/install everything on my own again.? this is a ubuntu newbie question sorry...

macinnisrr
macinnisrr's picture
User offline. Last seen 5 days 17 hours ago. Offline
Joined: 2008-01-14
Posts:

this package "provides ardour" which is all that the ubuntustudio-audio (and subsequently the ubuntustudio-desktop) packages are looking for. I have it installed right on top of a stock ubuntu karmic install, which had the ubuntustudio packages installed before my ardourpro package. This package will not be upgraded until you a)get a new package from me, or b) you manually install one of the available ardour packages from Ubuntu, in which case ardourpro will be removed. Other than that, I've noticed I have to change the menu name for ardour (shows up as ardour vst, from a previous package I based it on). Anyway, the long and short of it is that this will not break your system (at least it doesn't on mine).

On the other hand maybe you're wondering if you can run Ubuntu's package side by side with mine and the simple answer is: no. The packages have different versions of files installed in the same place. You coud build your own ardour version (which would by default be installed in /usr/local instead of /usr) or wait for someone to create a version that installs to that directory, but I meant for this program to be an upgrade from Ubuntu's stock version of ardour (more plugin support, newer, etc...), which is why I didn't include VST support (too many added bugs; as it is, this version is definitely an improvement, unless you hate the themes, but then again, that's why I called the package ardourpro and not ardour).

Anyway, I hope this answers your questions.

P.S. as I eluded to earlier, try this version, and if you like the old one better, simply type "sudo apt-get purge ardourpro" at the command prompt, and then "sudo apt-get install ardour". That will give you Ubuntu's version back.

calimerox
calimerox's picture
User offline. Last seen 7 hours 31 min ago. Offline
Joined: 2007-10-19
Posts:

it worked , thanks a lot!!!!
i thought i had to remove ALL ubuntu studio pakage cause it shows ubuntu-studio in the synaptic , but that was wrong, and now it works perfectly! :)

Louigi Verona
User offline. Last seen 3 years 23 weeks ago. Offline
Joined: 2009-12-05
Posts:

Is there such a package for jaunty?

userfriendly
userfriendly's picture
User offline. Last seen 1 year 6 days ago. Offline
Joined: 2009-12-31
Posts:

Nice, mate. Muchly appreciate this. However, I'd appreciate it a little more if there were a package for the 64 bit version of Karmic. :D That way I could actually install it.

indian-river-studios
User offline. Last seen 4 years 14 weeks ago. Offline
Joined: 2010-01-03
Posts:

I installed in on a 64 bit version of Karmic and it worked fine.
Will a 64 bit version work better? did I just install a 32 bit version?

zibnab
zibnab's picture
User offline. Last seen 38 weeks 6 days ago. Offline
Joined: 2008-11-17
Posts:

Hi,

I installed it 64 bits Karmic in a different way. I just added this to my repositories

deb http://ppa.launchpad.net/philip5/extra/ubuntu karmic main
deb-src http://ppa.launchpad.net/philip5/extra/ubuntu karmic main

et voila!! you can install Ardoru 2.8.4 directly from synaptic. The only thing is I doubt is coming with FREESOUND and FFTW_ANALYSIS support (didn't tested it).
With this repo you also get updates in some other programs (k3b, audacious, audacity,....). After one of the updates JACK was not working with the Realtime option activated. Something changed my /etc/security/limits.conf and the
@audio rtprio 99
line was gone. I just rewrote it, restarted the computer and everything was fine again.
I am not sure about this repository working on 32 bits systems.
Hope it helps.

zibnab
zibnab's picture
User offline. Last seen 38 weeks 6 days ago. Offline
Joined: 2008-11-17
Posts:

Hello again,

I found today a very interesting page

https://launchpad.net/~falk-t-j/+archive/lucid/+packages

is full of 32 and 64 bits .deb packages. You can find Ardour 2.8.4, Ardour 3, Zyn, lot of staff about Lv2, jack, etc.Looks promising.

lowen
User offline. Last seen 43 weeks 1 hour ago. Offline
Joined: 2009-07-30
Posts:

Do you have a separate link for the source deb? I'd like to adapt to Fedora under RPM packaging.

macinnisrr
macinnisrr's picture
User offline. Last seen 5 days 17 hours ago. Offline
Joined: 2008-01-14
Posts:

I actually haven't made a source deb...

macinnisrr
macinnisrr's picture
User offline. Last seen 5 days 17 hours ago. Offline
Joined: 2008-01-14
Posts:

this file has been discontinued. See this post:
http://ardour.org/node/3306